hpp-core: hpp::core::pathValidation::Discretized Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::pathValidation::Discretized Class Reference
Validation of configurations and paths

`#include <hpp/core/path-validation/discretized.hh>`

Inheritance diagram for hpp::core::pathValidation::Discretized:
[legend]
Collaboration diagram for hpp::core::pathValidation::Discretized:
[legend]

## Public Member Functions
virtual bool | validate (const PathPtr_t &path, bool reverse, PathPtr_t &validPart, PathValidationReportPtr_t &report)
virtual bool | validate (ConfigurationIn_t q, ValidationReportPtr_t &report)
virtual | ~Discretized ()
Public Member Functions inherited from hpp::core::PathValidation
virtual | ~PathValidation ()
Public Member Functions inherited from hpp::core::ConfigValidations
virtual bool | validate (const Configuration_t &config, ValidationReportPtr_t &validationReport)
void | add (const ConfigValidationPtr_t &configValidation)
| Add a configuration validation object.
size_type | numberConfigValidations () const
| Return the number of config validations.
Public Member Functions inherited from hpp::core::ConfigValidation
virtual | ~ConfigValidation ()=default
Public Member Functions inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
virtual | ~ObstacleUserVector ()=default
void | addObstacle (const CollisionObjectConstPtr_t &object)
void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &object)
void | filterCollisionPairs (const RelativeMotion::matrix_type &relMotion)
void | setSecurityMargins (const matrix_t &securityMatrix)
void | setSecurityMarginBetweenBodies (const std::string &body_a, const std::string &body_b, const value_type &margin)
void | clear ()
Public Member Functions inherited from hpp::core::ObstacleUserInterface
virtual | ~ObstacleUserInterface ()=default

## Static Public Member Functions
static DiscretizedPtr_t | create (const value_type &stepSize)
static DiscretizedPtr_t | create (const value_type &stepSize, std::initializer_list< ConfigValidationPtr_t > validations)
Static Public Member Functions inherited from hpp::core::ConfigValidations
static ConfigValidationsPtr_t | create ()

## Protected Member Functions
| Discretized (const value_type &stepSize)
| Discretized (const value_type &stepSize, std::initializer_list< ConfigValidationPtr_t > validations)
Protected Member Functions inherited from hpp::core::PathValidation
| PathValidation ()
Protected Member Functions inherited from hpp::core::ConfigValidations
| ConfigValidations ()=default
| ConfigValidations (std::initializer_list< ConfigValidationPtr_t > validations)
Protected Member Functions inherited from hpp::core::ConfigValidation
| ConfigValidation ()=default
Protected Member Functions inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
| ObstacleUserVector ()=default
| ObstacleUserVector (std::initializer_list< value_t > validations)

## Protected Attributes
value_type | stepSize_
Protected Attributes inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
values_t | validations_

## Additional Inherited Members
Protected Types inherited from hpp::core::ObstacleUserVector< ConfigValidationPtr_t >
typedef ConfigValidationPtr_t | value_t
typedef std::vector< value_t > | values_t

## Detailed Description

Discretized validation of a path

Apply some configuration validation algorithms at discretized values of the path parameter.

## Constructor & Destructor Documentation

## ◆ ~Discretized()

virtual hpp::core::pathValidation::Discretized::~Discretized | ( |  | ) |
| inlinevirtual

## ◆ Discretized() [1/2]

hpp::core::pathValidation::Discretized::Discretized | ( | const value_type & | stepSize | ) |
| inlineprotected

## ◆ Discretized() [2/2]

hpp::core::pathValidation::Discretized::Discretized | ( | const value_type & | stepSize,
|  | std::initializer_list< ConfigValidationPtr_t > | validations
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ create() [1/2]

static DiscretizedPtr_t hpp::core::pathValidation::Discretized::create | ( | const value_type & | stepSize | ) |
| static

## ◆ create() [2/2]

static DiscretizedPtr_t hpp::core::pathValidation::Discretized::create | ( | const value_type & | stepSize,
|  | std::initializer_list< ConfigValidationPtr_t > | validations
| ) |  |
| static

## ◆ validate() [1/2]

virtual bool hpp::core::pathValidation::Discretized::validate | ( | ConfigurationIn_t | q,
|  | ValidationReportPtr_t & | report
| ) |  |
| virtual

Validate a single configuration

Parameters

  q | input configuration,

Return values

  report | validation report. The default implementation builds a straight path of length 0 with the input configuration and validates the path.

Reimplemented from hpp::core::PathValidation.

## ◆ validate() [2/2]

virtual bool hpp::core::pathValidation::Discretized::validate | ( | const PathPtr_t & | path,
|  | bool | reverse,
|  | PathPtr_t & | validPart,
|  | PathValidationReportPtr_t & | report
| ) |  |
| virtual

Compute the largest valid interval starting from the path beginning

Parameters

  path | the path to check for validity,
  reverse | if true check from the end,

Return values

  the | extracted valid part of the path, pointer to path if path is valid.
  report | information about the validation process. A report is allocated if the path is not valid.

Returns
  whether the whole path is valid.

Implements hpp::core::PathValidation.

## Member Data Documentation

## ◆ stepSize_

value_type hpp::core::pathValidation::Discretized::stepSize_
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/path-validation/discretized.hh